[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

libc.so.6 problem



I did an upgrade from RedHat 9 to Fedora Core 2 from the ISO distrib.
Everything went fine. After the install I ran up2date and installed all of
the updates for core 2.

After that I started having a problem where something in a cron will relink
libc.so.6 to libc-2.2.93.so and I get errors from just about everything on
the system. Heres an example of the errors trying to run ls after this
happens:
[root mail root]# ls
ls: /lib/libc.so.6: version `GLIBC_2.3.2' not found (required by
/lib/librt.so.1)
ls: /lib/libc.so.6: version `GLIBC_2.3.4' not found (required by
/lib/libselinux.so.1)
ls: /lib/libc.so.6: version `GLIBC_2.3.2' not found (required by
/lib/libpthread.so.0)

Luckily ln still works so I run "ln -sf /lib/libc-2.3.3.so /lib/libc.so.6"
and all is well until the next time whatever is in cron runs again that
relinks it back to libc-2.2.93.so.

How can I fix this? If I don't keep a root console login I'm afraid my
system will be hosed the next time this happens.

TIA
---
Outgoing mail is certified Virus Free.
Checked by AVG anti-virus system (http://www.grisoft.com).
Version: 6.0.707 / Virus Database: 463 - Release Date: 6/15/2004



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]